from rest_framework import serializers
from .models import Evento, Reserva, ListaEspera, Noticia


class EventoSerializer(serializers.ModelSerializer):
    class Meta:
        model = Evento
        fields = '__all__'  # Incluir todos los campos del modelo


class ReservaSerializer(serializers.ModelSerializer):
    usuario_email = serializers.CharField(source='usuario.email', read_only=True)

    class Meta:
        model = Reserva
#        fields = '__all__'  # Incluir todos los campos del modelo
        fields = ['id', 'usuario', 'usuario_email', 'evento', 'fecha_reserva']


class ListaEsperaSerializer(serializers.ModelSerializer):
    class Meta:
        model = ListaEspera
        fields = '__all__'  # Incluir todos los campos del modelo


class NoticiaSerializer(serializers.ModelSerializer):
    class Meta:
        model = Noticia
        fields = '__all__'  # Incluir todos los campos del modelo
